# enable git here
%bcond_with git

%if %{with git}
%define	git 20150901
%define	release 0.%{git}.69
%else
%define	release 1
%endif

%define	major 1
%define	libname %mklibname %{name} %{major}
%define	devname %mklibname %{name} -d
%define	wafver 1.9.10

Summary:	Movie player playing most video formats and DVDs
Name:		mpv
Version:	0.27.0
Release:	%{release}
# We are enabling Samba support
License:	GPLv3+
Group:		Video
Url:		http://%{name}.io/
%if %{with git}
Source0:	%{name}-%{git}.tar.gz
%else
Source0:	https://github.com/%{name}-player/%{name}/archive/v%{version}.tar.gz?/%{name}-%{version}.tar.gz
%endif
Source1:	https://waf.io/waf-%{wafver}
Source2:	https://raw.githubusercontent.com/sanjayankur31/rpmfusion-appdata/master/appdata-extra-free/desktop/mpv.appdata.xml
BuildRequires:	desktop-file-utils
BuildRequires:	appstream-util
BuildRequires:	hicolor-icon-theme
BuildRequires:	imagemagick
BuildRequires:	linux-userspace-headers
BuildRequires:	python-docutils
BuildRequires:	python-rst2pdf
BuildRequires:	texlive-caption
BuildRequires:	texlive-latex
BuildRequires:	texlive-cmap
BuildRequires:	texlive-preprint
# Our system package is too old
#BuildRequires:	waf >= 1.8.0
BuildRequires:	wayland-tools >= 1.7.0
BuildRequires:	yasm
# For hw decoding in vaapi/vdpau ffmpeg >= 3.3 is needed
BuildRequires:	ffmpeg-devel >= 3.2.2
BuildRequires:	jpeg-devel
BuildRequires:	krb5-devel
BuildRequires:	ladspa-devel
BuildRequires:	quvi-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(caca)
BuildRequires:	pkgconfig(dri)
BuildRequires:	pkgconfig(dvdnav)
BuildRequires:	pkgconfig(dvdread)
BuildRequires:	pkgconfig(egl) >= 10.5.3
BuildRequires:	pkgconfig(enca)
BuildRequires:	pkgconfig(gl) >= 10.5.3
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libass) >= 0.12.1
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libbluray)
BuildRequires:	pkgconfig(libbs2b)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libcdio_cdda)
BuildRequires:	pkgconfig(libcdio_paranoia)
BuildRequires:	pkgconfig(libguess)
BuildRequires:	pkgconfig(libiso9660)
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(libmng)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libudf)
BuildRequires:	pkgconfig(libv4lconvert)
BuildRequires:	pkgconfig(libva)
BuildRequires:	pkgconfig(libva-x11)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(ptlib)
BuildRequires:	pkgconfig(rubberband) >= 1.8.0
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(uchardet)
BuildRequires:	pkgconfig(vapoursynth) >= 26
BuildRequires:	pkgconfig(vdpau)
BuildRequires:	pkgconfig(wayland-egl) >= 10.5.3
BuildRequires:	pkgconfig(wayland-client) >= 1.7.0
BuildRequires:	pkgconfig(wayland-cursor) >= 1.7.0
BuildRequires:	pkgconfig(wayland-scanner) >= 1.7.0
BuildRequires:	pkgconfig(wayland-server) >= 1.7.0
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(zlib)
# This is in plf, enabled in rosalinuxro build
#BuildRequires:	pkgconfig(x265)

Requires:	hicolor-icon-theme
Requires:	%{libname} = %{EVRD}
Suggests:	youtube-dl

%description
Mpv is a movie player based on MPlayer and mplayer2. It supports a wide
variety of video file formats, audio and video codecs, and subtitle types.
Special input URL types are available to read input from a variety of sources
other than disk files. Depending on platform, a variety of different video and
audio output methods are supported.

%files
%doc LICENSE RELEASE_NOTES README.md Copyright 
#doc build/DOCS/man/mpv.pdf
%doc etc/mpv.conf etc/input.conf etc/restore-old-bindings.conf
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/encoding-profiles.conf
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.*
%{_datadir}/metainfo/%{name}.appdata.xml
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_mpv
%{_mandir}/man1/%{name}.1*
%{_iconsdir}/hicolor/symbolic/apps/mpv-symbolic.svg

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
Mpv is a movie player based on MPlayer and mplayer2. It supports a wide
variety of video file formats, audio and video codecs, and subtitle types.
Special input URL types are available to read input from a variety of sources
other than disk files. Depending on platform, a variety of different video and
audio output methods are supported.

%files -n %{libname}
%doc LICENSE RELEASE_NOTES README.md Copyright
%{_libdir}/libmpv.so.%{major}*
#{_libdir}/mpv/*.so

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	pkgconfig(vapoursynth)
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Mpv is a movie player based on MPlayer and mplayer2. It supports a wide
variety of video file formats, audio and video codecs, and subtitle types.
Special input URL types are available to read input from a variety of sources
other than disk files. Depending on platform, a variety of different video and
audio output methods are supported.

%files -n %{devname}
%doc LICENSE RELEASE_NOTES README.md Copyright
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/*.hpp
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%if %{with git}
%setup -qn %{name}-%{git}
%else
%setup -q
%endif
# Our waf package is too old...
cp -R %{SOURCE1} waf && chmod +x waf



%build
LDFLAGS="%{ldflags} -lSDL" CCFLAGS="%{optflags}" \
./waf configure \
	--prefix="%{_prefix}" \
	--bindir="%{_bindir}" \
	--mandir="%{_mandir}" \
	--libdir="%{_libdir}" \
	--docdir="%{_docdir}/%{name}" \
	--confdir="%{_sysconfdir}/%{name}" \
	--disable-build-date \
	--enable-libmpv-shared \
	--enable-libsmbclient \
	--enable-openal \
	--enable-cdda \
	--enable-dvdread \
    --enable-dvdnav \
	--enable-sdl2 \
	--enable-zsh-comp \
	--enable-encoding \
	--enable-libarchive \
	--enable-pdf-build \
	--enable-wayland

./waf build --verbose


%install
./waf --destdir=%{buildroot} install

# appdata
mkdir -p %{buildroot}%{_appdatadir}
install -m 0644 %{SOURCE2} %{buildroot}%{_appdatadir}/

# Already part of our build process
#check
#desktop-file-validate %%{buildroot}%%{_datadir}/applications/%%{name}.desktop

%changelog
